import { ExternalPolicyComponent } from './external-policy/external-policy.component';
import { ExternalContactUsComponent } from './external-contact-us/external-contact-us.component';
import { ExternalEventsTableComponent } from './external-events-table/external-events-table.component';
import { NewPageComponent } from './new-page/new-page.component';
import { ExternalHospitalComponent } from './external-hospital/external-hospital.component';
import { ExternalPageContentComponent } from './external-page-content/external-page-content.component';
import { ExternalPageComponent } from './external-page/external-page.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MoreNewsComponent } from './more-news/more-news.component';
import { ExternalManagamentsComponent } from './external-managaments/external-managaments.component';
import { EventDetailsComponent } from './event-details/event-details.component';
import {InernalServicePageComponent} from './inernal-service-page/inernal-service-page.component';


const externalPageRoutes: Routes = [
    {path: 'ExternalPage' , component: ExternalPageComponent, children:[
        {path: 'home', component: ExternalPageContentComponent},
        {path: 'EventsTable', component: ExternalEventsTableComponent},
        {path: 'moreNews', component: MoreNewsComponent},
        {path: 'eventsDetails', component: EventDetailsComponent},
        {path: 'contactUs/:contactId', component: ExternalContactUsComponent},
        {path: 'externalPolicy/:policyId', component: ExternalPolicyComponent},
        {path: 'externalServiceDetails/:externalServiceId', component: InernalServicePageComponent},
        {path: 'newPage/:reportId', component: NewPageComponent},
        {path: 'hospital', component: ExternalHospitalComponent},
        {path: 'managements', component: ExternalManagamentsComponent},
    ]},
];

@NgModule({
imports: [
    RouterModule.forChild(externalPageRoutes),
],
exports: [
    RouterModule
  ]
})

export class ExternalPageRoutingModule {

}